Bug 238356 - Seti@BOINC making firefox unusable
Seti@BOINC making firefox unusable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
http://setiathome.berkeley.edu/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-29 15:17 EDT by Carl-Johan Kjellander
Modified: 2008-01-15 09:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (99.99 KB, text/plain)
2007-06-01 04:05 EDT, Carl-Johan Kjellander
no flags Details
config file (929 bytes, text/plain)
2007-06-01 04:07 EDT, Carl-Johan Kjellander
no flags Details

  None (edit)
Description Carl-Johan Kjellander 2007-04-29 15:17:43 EDT
Description of problem:
Since I started using compiz and desktop effects, scrolling
in firefox has become very slow. After turning the mousewheel
it takes around 3 seconds for the scroll to actually finish.
Very annoying.

But downloading and starting Seti@BOINC made firefox completely
unsuable. Even though the 2 setiathome processes are niced to
19 and shouldn't take any resources, firefox almost stops responding.
It takes around 10 seconds between any input like scrolling the
mousewheel och clicking on a new tab, or refresh of the screen
to actually happen.

I had to shut BOINC down just to be able to enter this bug.

Something seems to be getting starved cause by watching activity
with gkrellm you can see that it doesn't even try to scroll
for 10 seconds, and then a short spike of non-niced execution
when firefox actually does something.

Version-Release number of selected component (if applicable):
firefox-1.5.0.10-5.fc6
compiz-0.3.6-2.fc6
xorg-x11-server-Xorg-1.1.1-47.8.fc6
xorg-x11-drv-ati-6.6.3-1.fc6
Linux razor 2.6.19-1.2911.6.5.fc6xen #1 SMP Sun Mar 4 16:59:41 EST 2007 i686
athlon i386 GNU/Linux

How reproducible:
100%

Steps to Reproduce:
1. Start firefox
2. Start BOINC and run Setiathome
3. Try to use firefox when BOINC is running
  
Actual results:
Firefox unusable, with 10 seconds passing between inputs and results

Expected results:
No starvation since it's niced processes in the background

Additional info:
The copmuter is a DUAL AtlonMP machine.
Graphics Card: Ati Radeon 9200 SE
Running under xen with the last working kernel (bug: 234008)
Firefox has been slow since i started using desktop effects,
but this seems to exaggerate the effect. It's probably not
firefox's fault, but I don't know how to pinpoint which part
is actually causing the slowdown, but now I have a way
of really showing that something is causing firefox sluggishness.

Is there any kernel parameter I can tune to try to work around
this for now?
Comment 1 Christopher Aillon 2007-04-30 00:09:25 EDT
Does this happen to any other apps?  Possibly X...
Comment 2 Carl-Johan Kjellander 2007-05-02 05:14:55 EDT
No not really. You can see it a tiny bit in evince too.
I'm not sure about openoffice.org cause I'm afraid to use
it cause it spins X into an infinite loop, but I should
file a separate bug on that.

However, I managed to get Firefox a bit usable again by
tweaking options in xorg.conf:

Section "Device"
        Identifier  "Videocard0"
        Driver      "radeon"
        Option "AccelMethod" "XAA"
        Option "AddARGBGLXVisuals" "true"
        Option "AGPFastWrite" "yes"
        Option "AGPMode" "8"
        Option "BackingStore" "true"
        Option "ColorTiling" "on"
        Option "DynamicClocks" "on"
        Option "EnableDepthMoves" "true"
        Option "EnablePageFlip" "true"
        Option "RenderAccel" "true"
        Option "UseFBDev" "true"
        Option "XAANoOffscreenPixmaps"
EndSection

With these options I can use firefox at the same time as
Seti@BOINC. I suspect that it is an issue with Xorg's
radeon driver or Mesa, but I don't know which one is
responsible and firefox is the only app that's really hurting.

Should I try to pinpoint the exact option that makes
firefox go super slow?
Comment 4 Matěj Cepl 2007-05-26 11:46:44 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Adam Jackson 2007-05-26 13:43:22 EDT
Scrolling sucks, yes, we know.
Comment 6 Carl-Johan Kjellander 2007-06-01 04:05:02 EDT
Created attachment 155861 [details]
Xorg log
Comment 7 Carl-Johan Kjellander 2007-06-01 04:07:00 EDT
Created attachment 155862 [details]
config file
Comment 8 Matěj Cepl 2007-12-10 04:23:03 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 9 Matěj Cepl 2008-01-15 09:40:00 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.